Bug 523536 - VM cannot do non-ASCII characters on Emacs 23
Summary: VM cannot do non-ASCII characters on Emacs 23
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs-vm
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jonathan Underwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-15 21:02 UTC by m.oliver
Modified: 2010-06-28 14:40 UTC (History)
2 users (show)

Fixed In Version: 8.0.12-6.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:40:13 UTC


Attachments (Terms of Use)

Description m.oliver 2009-09-15 21:02:51 UTC
Description of problem:

After the upgrade to Emacs 23, VM can no longer send emails with non-ascii latin-1 characters.

Version-Release number of selected component (if applicable):

emacs-23.1-3.fc11
emacs-vm-8.0.12-4.fc11

How reproducible:

Always

Steps to Reproduce:
1. Type email containing accented characters
2. send email to yourself
3. Read email in ANY mail reader
  
Actual results:
Accented characters appear as blank spaces.

Expected results:
Accented characters show as accented characters.

Additional info:
The problem seems to be known, see

http://osdir.com/ml/help-gnu-emacs-gnu/2009-08/msg00372.html

however, just rebuilding the emacs-vm rpm (as implied in this post) did not change a thing for me.

Comment 1 Fedora Update System 2009-09-16 11:32:02 UTC
emacs-vm-8.0.12-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/emacs-vm-8.0.12-6.fc11

Comment 2 Jonathan Underwood 2009-09-16 11:36:06 UTC
OK, I've added a patch which helps with charset recognition, but no idea if it will fix this bug - please try the update and see (you can pull directly from koji if you like).

At this point, VM is unmaintained upstream for quite a while and is bit rotting quite badly. I expect other things are broken with emacs 23 as well. Honestly, my advice would be to stop using it.

Comment 3 Fedora Update System 2009-09-16 20:35:07 UTC
emacs-vm-8.0.12-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update emacs-vm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9682

Comment 4 Jonathan Underwood 2009-09-24 07:05:59 UTC
Any feedback on this updated package - does it fix the issue ?

Comment 5 m.oliver 2009-09-24 09:49:17 UTC
Yes, indeed, it does.  As I wrote to you in private email, there are one or two issues also related to font encodings, but I have had related errors before, so in all likelihood this particular problem is completely fixed.

Thanks a lot.

Comment 6 Fedora Update System 2009-09-29 14:38:08 UTC
emacs-vm-8.0.12-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 m.oliver 2010-01-18 09:10:34 UTC
After upgrading to emacs-23.1-14.fc12 today, this problem is back.

Comment 8 Jonathan Underwood 2010-01-18 11:33:13 UTC
Ugh. OK, I'll try adding that patch again.

Really though - I'd recommend migrating from VM, it's a very badly maintained piece of legacy software.

Comment 9 Jonathan Underwood 2010-01-18 11:56:59 UTC
Another thing that would be helpful is to try the 8.1.0 beta package which is presently in updates-testing to see if the problem is still there.

Comment 10 m.oliver 2010-01-18 18:55:24 UTC
I tried and 8.1.0. indeed fixes this bug.  On the other hand, it has an even nastier bug which I just filed:

https://bugzilla.redhat.com/show_bug.cgi?id=556579

This unfortunately does not make it practical to keep 8.1.0. and do further testing...  

As to your recommendation about migrating from VM, I looked at the options and there is no clear alternative.  I'd like to keep composing mail within emacs because, even though emacs has fairly idiosyncratic keyboard shortcuts - I use it for all my other work and prefer to know one set of keyboard shortcuts extremely well, rather than learning a new set for just half of my daily work. 

Unfortunately, there is no other emacs mail reader which appears roughly comparable to VM which is also clearly well maintained.

Do you have any suggestions?

Comment 11 Bug Zapper 2010-04-28 10:23:15 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2010-06-28 14:40:13 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.